Skip to content
Start here

Create Target Environment

client.VulnerabilityScanner.TargetEnvironments.New(ctx, params) (*TargetEnvironmentNewResponse, error)
POST/accounts/{account_id}/vuln_scanner/target_environments

Creates a new target environment for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params TargetEnvironmentNewParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Name param.Field[string]

Body param: Human-readable name.

Body param: Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

Type TargetEnvironmentNewParamsTargetType
ZoneTag string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
Description param.Field[string]Optional

Body param: Optional description.

ReturnsExpand Collapse
type TargetEnvironmentNewResponse struct{…}
ID string

Target environment identifier.

formatuuid
Name string

Human-readable name.

Target TargetEnvironmentNewResponseTarget

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

Type TargetEnvironmentNewResponseTargetType
ZoneTag string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
Description stringOptional

Optional description providing additional context.

Create Target Environment

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/vulnerability_scanner"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  targetEnvironment, err := client.VulnerabilityScanner.TargetEnvironments.New(context.TODO(), vulnerability_scanner.TargetEnvironmentNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Name: cloudflare.F("Production Zone"),
    Target: cloudflare.F(vulnerability_scanner.TargetEnvironmentNewParamsTarget{
      Type: cloudflare.F(vulnerability_scanner.TargetEnvironmentNewParamsTargetTypeZone),
      ZoneTag: cloudflare.F("d8e8fca2dc0f896fd7cb4cb0031ba249"),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", targetEnvironment.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}